Správa náhodného řazení stimulů v testech
11 September 2013 10:22 - Tomáš Kulhánek

Status: New Start date: 11 September 2013
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 90%
Category: HTML5 client Estimated time: 16.00 hours
Target version: future Spent time: 7.00 hours
Description

generator nahodneho poradi a zaznam poradi u vyplneneho testu

History
#1 - 27 September 2013 16:11 - Tomáš Kulhánek
- Category set to HTML5 client
- Estimated time set to 8.00

#2 - 18 June 2014 17:17 - Tomáš Kulhánek

Bude asi na urovni serveru. Klient dostane definici testu, vcetne seznamu (poradi) zvuku tak jak je to ted. Server je schopen na zaklade prihlaseneho
uzivatele vygenerovat nejake jine poradi zvuku, vymenit zvuky za jine, nebo jen zmenit poradi. 
Novy objekt ZVUKY - vazan na TEST. TEST definuje implicitni mnozinu zvuku. ZVUKY definuje k testu novou explicitni mnozinu zvuku, ktere nahradi v
TESTU implicitni zvuky.

#3 - 25 May 2015 10:16 - Tomáš Kulhánek
- Subject changed from nahodne poradi zvuku v testech to Správa řazení stimulů v testech
- Target version changed from Psychotest 1 to Psychotest2

b. Správa řazení stimulů v testech – definice a správa specifických jednoduchých pravidel řazení stimulů v testech (definovat způsob zadávání
pravidel – např. pomocí tabulky)
i. Pro jedno stimulové případy
1. náhodné
2. jednoduché předdefinované (vzestupné, sestupné)
3. specificky definované – například na základě dat v nějaké tabulce, nebo nějaké externí funkce
ii. Pro dvou stimulové případy
1. Rossův algoritmus 
2. Otčenáškovo řazení (sudého počtu)
3. Spárované pořadí (couple test) – náhodné pořadí dvojic, a náhodné pořadí v dvojici
4. Obecné náhodné pořadí dvojic (N*(N-1)) nebo (N*(N-1)/2)
iii. Pro tři stimulové případy
1. obdoba Rossoho algoritmu
2. Náhodné trojice
3. uspořádané trojice
iv. Pro více stimulové případy
1. Náhodné n-tice
2. uspořádané n-tice

#4 - 01 July 2015 21:01 - Tomáš Kulhánek
- Status changed from New to Resolved
- Assignee set to Tomáš Kulhánek

opraveno v ramci #235

#5 - 01 July 2015 21:02 - Tomáš Kulhánek
- Status changed from Resolved to In Progress
- % Done changed from 0 to 40

kooperace s I.Pavelkou

#6 - 23 July 2015 14:49 - Tomáš Kulhánek
- Estimated time changed from 8.00 to 16.00

#7 - 23 November 2015 14:33 - Marek Frič

nefunguje v Sreen per 2
randomstimuli ani randomintuple

Pri vytvoreni paroveho porovnavaciho testu -  nefunguje nahodne razeni dvojic ani nahodne serazeni uvnitr dvojic podivej se na test 
OdzkouseniObrazovky

#8 - 23 November 2015 18:05 - Tomáš Kulhánek
- % Done changed from 40 to 90

Tam je rozdílná sémantika

randomintuple = zamíchá pokud jsou stimuli na jednom řádku.
randomscreen = zamíchá obrazovky předtím než udělá páry
randomstimuli = zamíchá stimuli předtím než jsou udělány dvojice.

Přidal jsem tedy pro "randomscreen" po vytvoření dvojic.

#9 - 24 November 2015 15:19 - Tomáš Kulhánek

Vyvstali 3 různé problémy

1) míchání obrazovek v rámci dvojic stimulů - nebylo úplné.
Přidal jsem nové klíčové slovo "randompairs" na začátku testu způsobí, že pořadí dvojic pro "screen per 2" se znáhodní, ostatní obrazovky zůstanou
zachovány - úvodní a koncová

test odzkouseni
randompairs
screen per 2
  stimulus 1.wav  
  stimulus 2.wav

26 April 2024 2/3



  stimulus 5.wav

screen Konec
  text Dekujeme

Co není uděláno:
2) screen per 2 vytvoří dvojice jako kombinace bez opakování. tj
    -  a,b,c => (ab) (ac) (bc)
Není podpora pro
    -  kombinace s opakováním a,b,c => (aa) (ab) (ac) (bb) (bc) (cc)
    -  variace bez opakování a,b,c =>  (ab) (ba) (ac) (ca) (bc) (cb)
    -  variace s opakováním a,b,c =>   (aa) (ab) (ba) (ac) (ca) (bb) (bc) (cb) (cc)

3) není vymezení náhodných sekcí, v momentě výskytu "randomxxx" se od té doby náhodní až po konec testu. Možno navrhnout uzavření pomocí
klíčového slova např "randomxxx false"

T.

#10 - 26 January 2017 16:41 - Tomáš Kulhánek
- Subject changed from Správa řazení stimulů v testech to Správa náhodného řazení stimulů v testech
- Status changed from In Progress to New
- Target version changed from Psychotest2 to future

Práce na 16 a více hodin. Možno v další verzi
